function dataHandler(val, oldVal) {
  if (!oldVal) {
    this.renderChart(this.chartData, this.options);
  } else {
    console.log('updating...');

    this.$data._chart.update();
  }
}

export var reactiveData = {
  data: function data() {
    return {
      chartData: null
    };
  },
  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
};
export var reactiveProp = {
  props: {
    chartData: {
      required: true
    }
  },
  watch: {
    'chartData': {
      handler: dataHandler,
      deep: true
    }
  }
};
export default {
  reactiveData: reactiveData,
  reactiveProp: reactiveProp
};